/*
 * Copyright (C) 2008 The Trustees of Columbia University in the City of New York. 
 * All rights reserved.
 *
 * See the file LICENSE included in this distribution for details.
 */


#ifndef _TYPES_H
#define _TYPES_H

typedef unsigned char		uchar;
typedef unsigned char		uint8;
typedef	  signed char		int8;
typedef	  char		        char8;

typedef unsigned short		uint16;
typedef	  signed short		int16;

typedef unsigned int		uint32;
typedef	  signed int		int32;

typedef unsigned long           ulong;
typedef signed long             long32;

//typedef unsigned long	uint64;
//typedef   signed long	int64;

//#endif

enum transtype {eTCP=0, eUDP=1, eTLS=2, eDTLS=3, eOTHER};

#define IPADDRLEN 16

#define BUFSIZE 5000

#define _LINUX_
#define _CHECKER_

//#define WIN32

#endif
